package com.ruoyi.jjh.declaration.controller;

import com.ruoyi.common.core.controller.BaseController;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.jjh.declaration.entity.request.EnterpriseFileResquest;
import com.ruoyi.jjh.declaration.entity.request.EnterpriseFillResquest;
import com.ruoyi.jjh.declaration.service.IBmsEnterpriseFillService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.validation.Valid;

/**
 * 企业填报控制层
 *
 * @author du
 * @since 2024/7/24 13:43
 */
@Api(tags = "企业填报")
@RestController
@RequestMapping("/system/fill")
public class BmsEnterpriseFillController extends BaseController {

    @Autowired
    private IBmsEnterpriseFillService iBmsEnterpriseFillService;

    /**
     * 企业填报
     */
    @PreAuthorize("@ss.hasAnyRoles('ent')")
    @ApiOperation(value = "企业填报")
    @PostMapping
    public AjaxResult add(@RequestBody @Valid EnterpriseFillResquest enterpriseFillResquest) {
        return toAjax(iBmsEnterpriseFillService.add(enterpriseFillResquest));
    }



    /**
     * 初审驳回之后企业重新填报的接口
     */
    @PreAuthorize("@ss.hasAnyRoles('ent')")
    @ApiOperation(value = "初审驳回之后企业重新填报的接口")
    @PostMapping("/update")
    public AjaxResult update(@RequestBody EnterpriseFillResquest enterpriseFillResquest) {
        iBmsEnterpriseFillService.update(enterpriseFillResquest);
        return success();
    }


    /**
     * 上传文件
     */
    @PreAuthorize("@ss.hasAnyRoles('ent')")
    @ApiOperation(value = "上传文件")
    @PostMapping("/uploadFile")
    public AjaxResult uploadFile(@RequestBody EnterpriseFileResquest req) {
        iBmsEnterpriseFillService.uploadFile(req);
        return success();
    }
}
