package com.ruoyi.jjh.declaration.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.annotation.ExcelEnumFormat;
import com.ruoyi.common.annotation.Excels;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import liquibase.pro.packaged.S;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * 企业基础信息对象 bms_enterprise_basic_info
 *
 * @author farben
 * @date 2023-08-25
 */
@ApiModel("企业基础信息对象")
@Data
@EqualsAndHashCode(callSuper = true)
public class BmsEnterpriseBasicInfo extends BaseInfoEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键id
     */
    @JSONField(serialize = false)
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 有几个法人
     */
    @JSONField(serialize = false)
    private Integer multiple;

    /**
     * 分类 1.规上服务业 2其他 3规上工业 4总部企业 5生产性服务业 6限上批零住餐
     */
    @ApiModelProperty("分类 1.规上服务业 2其他 3规上工业 4总部企业 5生产性服务业 6限上批零住餐 7生活性服务业")
    @JSONField(serialize = false)
    @Excel(name = "分类", readConverterExp = "1.规上服务业 2其他 3规上工业 4总部企业 5生产性服务业 6限上批零住餐 7生活性服务业")
    private String type;


    /**
     * 源主键
     */
    @ApiModelProperty("源主键")
    @JSONField(name = "源主键")
    private String ywid;

    /**
     * 源表org
     */
    @ApiModelProperty("源表org")
    @JSONField(name = "源表org")
    private String org;

    /**
     * 企业名称
     */
    @ApiModelProperty("企业名称")
    @JSONField(name = "企业名称")
    @Excel(name = "企业名称*",required = true)
    private String qymc;

    /**
     * 标识证号
     */
    @ApiModelProperty("标识证号")
    @JSONField(name = "标识证号")
    @Excel(name = "标识证号")
    private String bszh;

    /**
     * 统一社会信用代码
     */
    @ApiModelProperty("统一社会信用代码")
    @JSONField(name = "统一社会信用代码")
    @Excel(name = "统一社会信用代码*",required = true)
    private String tyshxydm;

    /**
     * 企业注册号
     */
    @ApiModelProperty("企业注册号")
    @JSONField(name = "企业注册号")
    @Excel(name = "企业注册号")
    private String qyzch;

    /**
     * 组织机构代码
     */
    @ApiModelProperty("组织机构代码")
    @JSONField(name = "组织机构代码")
    @Excel(name = "组织机构代码")
    private String zzjgdm;

    /**
     * 经济类型代码
     */
    @ApiModelProperty("经济类型代码")
    @JSONField(name = "经济类型代码")
    @Excel(name = "经济类型代码")
    private String jjlxdm;

    /**
     * 经济类型名称
     */
    @ApiModelProperty("经济类型名称")
    @JSONField(name = "经济类型名称")
    @Excel(name = "经济类型名称")
    private String jjlxmc;

    /**
     * 企业类型代码
     */
    @ApiModelProperty("企业类型代码")
    @JSONField(name = "企业类型代码")
    @Excel(name = "企业类型代码")
    private String qylxdm;

    /**
     * 企业类型名称
     */
    @ApiModelProperty("企业类型名称")
    @JSONField(name = "企业类型名称")
    @Excel(name = "企业类型名称")
    private String qylxmc;

    /**
     * 注册资金
     */
    @ApiModelProperty("注册资金")
    @JSONField(name = "注册资金")
    @Excel(name = "注册资金")
    private String zczj;

    /**
     * 注册资本币种
     */
    @ApiModelProperty("注册资本币种")
    @JSONField(name = "注册资本币种")
    @Excel(name = "注册资本币种")
    private String zczbbz;

    /**
     * 注册类型
     */
    @ApiModelProperty("注册类型")
    @JSONField(name = "注册类型")
    @Excel(name = "注册类型")
    private String zclx;

    /**
     * 经营范围
     */
    @ApiModelProperty("经营范围")
    @JSONField(name = "经营范围")
    @Excel(name = "经营范围")
    private String jyfw;

    /**
     * 经营或营业起始日期
     */
    @ApiModelProperty("经营或营业起始日期")
    @JSONField(name = "经营或营业起始日期")
    @Excel(name = "经营或营业起始日期")
    private String jyhyyqsrq;

    /**
     * 经营或营业截止日期
     */
    @ApiModelProperty("经营或营业截止日期")
    @JSONField(name = "经营或营业截止日期")
    @Excel(name = "经营或营业截止日期")
    private String jyhyyjzrq;

    /**
     * 行业代码
     */
    @ApiModelProperty("行业代码")
    @JSONField(name = "行业代码")
    @Excel(name = "行业代码")
    private String hydm;

    /**
     * 行业名称
     */
    @ApiModelProperty("行业名称")
    @JSONField(name = "行业名称")
    @Excel(name = "行业名称")
    private String hymc;

    /**
     * 行业门类
     */
    @ApiModelProperty("行业门类")
    @JSONField(name = "行业门类")
    @Excel(name = "行业门类")
    private String hyml;

    /**
     * 产业类型
     */
    @ApiModelProperty("产业类型")
    @JSONField(name = "产业类型")
    @Excel(name = "产业类型")
    private String cylx;

    /**
     * 企业住所
     */
    @ApiModelProperty("企业住所")
    @JSONField(name = "企业住所")
    @Excel(name = "企业住所")
    private String qyzs;

    /**
     * 经营场所
     */
    @ApiModelProperty("经营场所")
    @JSONField(name = "经营场所")
    @Excel(name = "经营场所")
    private String jycs;

    /**
     * 经营场所行政区划
     */
    @ApiModelProperty("经营场所行政区划")
    @JSONField(name = "经营场所行政区划")
    @Excel(name = "经营场所行政区划")
    private String jycsxzqh;

    /**
     * 邮政编码
     */
    @ApiModelProperty("邮政编码")
    @JSONField(name = "邮政编码")
    @Excel(name = "邮政编码")
    private String yzbm;

    /**
     * 成立日期
     */
    @ApiModelProperty("成立日期")
    @JSONField(name = "成立日期")
    @Excel(name = "成立日期")
    private String clrq;

    /**
     * 信用等级
     */
    @ApiModelProperty("信用等级")
    @JSONField(name = "信用等级")
    @Excel(name = "信用等级")
    private String xydj;

    /**
     * 企业规模
     */
    @ApiModelProperty("企业规模")
    @JSONField(name = "企业规模")
    @Excel(name = "企业规模")
    private String qygm;

    /**
     * 法定代表人姓名
     */
    @ApiModelProperty("法定代表人姓名")
    @JSONField(name = "法定代表人姓名")
    @Excel(name = "法定代表人姓名")
    private String fddbrxm;

    /**
     * 法定代表人证件号码
     */
    @ApiModelProperty("法定代表人证件号码")
    @JSONField(name = "法定代表人证件号码")
    @Excel(name = "法定代表人证件号码")
    private String fddbrzjhm;

    /**
     * 登记机关
     */
    @ApiModelProperty("登记机关")
    @JSONField(name = "登记机关")
    @Excel(name = "登记机关")
    private String djjg;

    /**
     * 核准日期
     */
    @ApiModelProperty("核准日期")
    @JSONField(name = "核准日期")
    @Excel(name = "核准日期")
    private String hzrq;

    /**
     * 经营状态
     */
    @ApiModelProperty("经营状态")
    @JSONField(name = "经营状态")
    @Excel(name = "经营状态")
    private String jyzt;

    /**
     * 状态日期
     */
    @ApiModelProperty("状态日期")
    @JSONField(name = "状态日期")
    @Excel(name = "状态日期")
    private String ztrq;

    /**
     * 注销日期
     */
    @ApiModelProperty("注销日期")
    @JSONField(name = "注销日期")
    @Excel(name = "注销日期")
    private String zxrq;

    /**
     * 吊销日期
     */
    @ApiModelProperty("吊销日期")
    @JSONField(name = "吊销日期")
    @Excel(name = "吊销日期")
    private String dxrq;

    /**
     * 联系电话
     */
    @ApiModelProperty("联系电话")
    @JSONField(name = "联系电话")
    @Excel(name = "联系电话")
    private String lxdh;

    /**
     * 是否园区内
     */
    @ApiModelProperty("是否园区内")
    @JSONField(name = "是否园区内")
    @Excel(name = "是否园区内")
    private String sfyqn;

    /**
     * 操作标识
     */
    @ApiModelProperty("操作标识")
    @JSONField(name = "操作标识")
    @Excel(name = "操作标识")
    private String dwOperation;

    /**
     * 入库时间
     */
    @ApiModelProperty("入库时间")
    @JSONField(name = "入库时间")
    @Excel(name = "入库时间")
    private String dwTimestamp;

    /**
     * 代理键
     */
    @ApiModelProperty("代理键")
    @JSONField(name = "代理键")
    private String dwAgencykey;

    /**
     * 来源机构
     */
    @ApiModelProperty("来源机构")
    @JSONField(name = "来源机构")
    private String dwLyjg;

    /**
     * 来源表名
     */
    @ApiModelProperty("来源表名")
    @JSONField(name = "来源表名")
    private String dwLyb;

    /**
     * 是否删除：0，未删除；1，已删除
     */
    @ApiModelProperty("是否删除：0，未删除；1，已删除")
    @JSONField(serialize = false)
    private Long isDeleted;


}
