package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.jjh.declaration.entity.BmsEnterpriseBasicInfo;
import com.ruoyi.jjh.declaration.entity.request.EnterpriseInfoRequest;
import com.ruoyi.jjh.declaration.entity.request.EnterpriseInfoWorkRequest;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 企业基础信息Mapper接口
 *
 * @author farben
 * @date 2023-08-25
 */
public interface BmsEnterpriseBasicInfoMapper extends BaseMapper<BmsEnterpriseBasicInfo> {
    /**
     * 查询企业基础信息列表
     *
     * @param bmsEnterpriseBasicInfo 企业基础信息
     * @return 企业基础信息集合
     */
    public Page<BmsEnterpriseBasicInfo> page(Page<BmsEnterpriseBasicInfo> page, @Param("req") EnterpriseInfoRequest bmsEnterpriseBasicInfo);


    /**
     * 查询企业基础信息列表所有
     *
     * @param bmsEnterpriseBasicInfo 企业基础信息
     * @return 企业基础信息集合
     */
    List<BmsEnterpriseBasicInfo> page(@Param("req") EnterpriseInfoRequest bmsEnterpriseBasicInfo);

    /**
     * 作业台查询企业信息
     */
    List<BmsEnterpriseBasicInfo> workSearch(@Param("req") EnterpriseInfoWorkRequest enterpriseInfoWorkRequest);

    /**
     * 根据信用代码获取该企业id
     */
    BmsEnterpriseBasicInfo selectGetCreditCode(String getCreditCode);

    /**
     * 根据企业信用代码查询
     *
     * @param uscc 企业信用代码
     * @return 企业信息
     */
    BmsEnterpriseBasicInfo findByQytyxydm(@Param("uscc") String uscc);
}
