package com.ruoyi.jjh.declaration.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.jjh.declaration.entity.BmsTemplateInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 申报模板信息Mapper接口
 *
 * @author farben
 * @date 2023-08-25
 */
public interface BmsTemplateInfoMapper extends BaseMapper<BmsTemplateInfo> {

    /**
     * 查询申报模板信息列表
     *
     * @param bmsTemplateInfo 申报模板信息
     * @return 申报模板信息集合
     */
    Page<BmsTemplateInfo> templateInfoList(Page<BmsTemplateInfo> page, @Param("req") BmsTemplateInfo bmsTemplateInfo);

    /**
     * 新增项目时查询所有模板信息
     *
     * @param bmsTemplateInfo 申报模板信息
     * @return 申报模板信息集合
     */
    List<BmsTemplateInfo> templateInfoList(@Param("req") BmsTemplateInfo bmsTemplateInfo);

    /**
     * 查询单个模板
     *
     * @return 结果
     */
    BmsTemplateInfo selectByIdOne(Long ids);

    /**
     * 删除申报模板信息
     *
     * @param id 申报模板信息主键
     * @return 结果
     */
    int deleteBmsTemplateInfoById(Long id);

    /**
     * 批量删除申报模板信息
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    int deleteBmsTemplateInfoByIds(Long[] ids);
}
