package com.ruoyi.jjh.declaration.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.jjh.declaration.entity.BmsEnterpriseBasicInfo;
import com.ruoyi.jjh.declaration.entity.request.EnterpriseInfoRequest;
import com.ruoyi.jjh.declaration.entity.request.EnterpriseInfoWorkRequest;

import java.util.List;

/**
 * 企业基础信息Service接口
 *
 * @author farben
 * @date 2023-08-25
 */
public interface IBmsEnterpriseBasicInfoService extends IService<BmsEnterpriseBasicInfo> {


    /**
     * 查询企业基础信息列表
     *
     * @param e 企业基础信息
     * @return 企业基础信息集合
     */
    Page<BmsEnterpriseBasicInfo> page(Page<BmsEnterpriseBasicInfo> page, EnterpriseInfoRequest e);

    /**
     * 查询企业基础信息列表所有
     *
     * @param e 企业基础信息
     * @return 企业基础信息集合
     */
    List<BmsEnterpriseBasicInfo> page(EnterpriseInfoRequest e);


    List<BmsEnterpriseBasicInfo> workSearch(EnterpriseInfoWorkRequest enterpriseInfoWorkRequest);

    /**
     * 根据信用代码获取该企业id
     */
    BmsEnterpriseBasicInfo selectGetCreditCode(String getCreditCode);
}
