package com.ruoyi.jjh.ent.controller;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.jjh.ent.entity.JHeadQuartersRevenue;
import com.ruoyi.jjh.ent.entity.request.JHeadQuartersRevenueRequest;
import com.ruoyi.jjh.ent.entity.response.JHqCountResponse;
import com.ruoyi.jjh.ent.service.JHeadQuartersRevenueService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.security.access.prepost.PreAuthorize;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

import static com.ruoyi.common.core.domain.AjaxResult.success;

/**
 * 总部企业（j_headquarters_revenue）表控制层
 *
 * @author du
 * @since 2024/7/29 13:09
 */
@RestController
@RequestMapping("/jjh/headquartersRevenue")
@Api(tags = "总部企业")
public class JHeadQuartersRevenueController {


    @Resource
    private JHeadQuartersRevenueService jHeadQuartersRevenueService;

    /**
     * 分页查询总部企业
     *
     * @param page 分页参数
     * @param js   请求参数
     * @return 数据
     */
    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov,sightseer')")
    @ApiOperation(value = "分页查询总部企业", response = JHeadQuartersRevenue.class)
    @GetMapping
    public AjaxResult page(Page<JHeadQuartersRevenue> page, JHeadQuartersRevenueRequest js) {
        return success(jHeadQuartersRevenueService.page(page, js));
    }

    /**
     * 查询总部企业数量
     */
    @PreAuthorize("@ss.hasAnyRoles('admin,other-gov,gov,sightseer')")
    @ApiOperation(value = "查询总部企业数量", response = JHqCountResponse.class)
    @GetMapping("/selectZbCount")
    public AjaxResult selectZbCount() {
        return success(jHeadQuartersRevenueService.selectZbCount());
    }
}
