package com.ruoyi.jjh.ent.entity;

import com.alibaba.fastjson2.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.jjh.common.entity.BaseInfoEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * 政策文件（j_policy_file）表实体类
 *
 * @author du
 * @since 2024/5/6 14:15
 */
@Data
@ApiModel("政策文件表")
@TableName(value = "j_policy_file")
public class JPolicyFile extends BaseInfoEntity {

    /**
     * Id
     */
    @TableId(value = "id", type = IdType.AUTO)
    @ApiModelProperty("Id")
    private Long id;

    /**
     * 政策文件名称
     */
    @Excel(name = "政策文件名称")
    @ApiModelProperty("政策文件名称")
    private String name;

    /**
     * 发文单位
     */
    @Excel(name = "发文单位")
    @ApiModelProperty("发文单位")
    private String enterUnit;

    /**
     * 关联项目
     */
    @Excel(name = "关联项目")
    @ApiModelProperty("关联项目")
    private Long joinProject;

    /**
     * 政策等级
     */
    @Excel(name = "政策等级", readConverterExp = "1=国家级,2=江苏省级,3=苏州市级,4=园区本级")
    @ApiModelProperty("政策等级 1国家级、2江苏省级、3苏州市级、4园区本级")
    private Integer policyLevel;

    /**
     * 发文时间
     */
    @Excel(name = "发文时间")
    @ApiModelProperty("发文时间")
    @JsonFormat(shape = JsonFormat.Shape.STRING, pattern = "yyyy-MM-dd", timezone = "GMT+8")
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date enterTime;


    /**
     * 发文内容
     */
    @Excel(name = "发文内容")
    @ApiModelProperty("发文内容")
    private String enterContent;

    /**
     * 创建id
     */
    @JSONField(serialize = false)
    @TableField(fill = FieldFill.INSERT)
    private Long createId;

    /**
     * 更新id
     */
    @JSONField(serialize = false)
    @TableField(fill = FieldFill.UPDATE)
    private Long updateId;
}
