package com.ruoyi.jjh.ent.entity.response;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;
import java.util.Objects;

/**
 * 所有分行业汇总返回类
 *
 * @author du
 * @since 2024/7/25 15:54
 */
@ApiModel("所有分行业汇总返回类")
@Data
public class JAllIndustryResponse {

    /**
     * 行业类别名称
     */
    @ApiModelProperty("行业类别名称")
    private String nameType;
    /**
     * 子类
     */
    @ApiModelProperty("子类")
    private List<JAllIndustryResponse> children;
    /**
     * 全年营收（亿元）
     */
    @ApiModelProperty("全年营收（亿元）")
    private String yearRevenue;
    /**
     * 增加值（亿元）
     */
    @ApiModelProperty("增加值（亿元）")
    private String addValue;
    /**
     * 增加值增速（按不变价）
     */
    @ApiModelProperty("增加值增速（按不变价）%")
    private String growth;
    /**
     * 增加值占GDP比重
     */
    @ApiModelProperty("增加值占GDP比重 %")
    private String gdpProportion;

    @Override
    public boolean equals(Object o) {
        if (this == o) return true;
        if (o == null || getClass() != o.getClass()) return false;
        JAllIndustryResponse that = (JAllIndustryResponse) o;
        return Objects.equals(nameType, that.nameType) && Objects.equals(children, that.children) && Objects.equals(yearRevenue, that.yearRevenue) && Objects.equals(addValue, that.addValue) && Objects.equals(growth, that.growth) && Objects.equals(gdpProportion, that.gdpProportion);
    }

    @Override
    public int hashCode() {
        return Objects.hash(nameType, children, yearRevenue, addValue, growth, gdpProportion);
    }

}
