package com.ruoyi.jjh.ent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.entity.JProjectFund;
import com.ruoyi.jjh.ent.entity.response.FundStatisticsResponse;
import com.ruoyi.jjh.ent.entity.response.JProjectFundResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目资金情况（j_policy_fund）表数据访问层
 * @author du
 * @since 2024/7/15 13:57
 */
public interface JProjectFundMapper extends BaseMapper<JProjectFund> {

    /**
     * 查询该项目id下的资金情况
     *
     * @return 所有数据
     */
    List<JProjectFund> selectFund(@Param("creditCode") String creditCode,@Param("projectSmallType") String projectSmallType);

    /**
     * 政务端-工作台 资金引导拨付情况统计
     */
    List<FundStatisticsResponse> fundStatistics();

    /**
     * 政务端-工作台 拨付资金企业申请情况TOP5
     */
    List<JProjectFundResponse> appropriationTop5();


    /**
     * 企业端-首页 企业荣誉资质
     */
    List<JProject> getEnterpriseProject(@Param("type") Integer type,@Param("creditCode") String creditCode);

    /**
     * 企业端-首页 往年专项资金申报
     */
    List<JProjectFundResponse> usualFund(String username);
}
