package com.ruoyi.jjh.ent.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.ruoyi.jjh.ent.entity.JServicesList;
import com.ruoyi.jjh.ent.entity.request.JServicesListRequest;
import com.ruoyi.jjh.ent.entity.response.JServicesListCountResponse;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 服务业企业名单（j_services_list）表数据库访问层
 *
 * @author du
 * @since 2024/7/26 15:36
 */
public interface JServicesListMapper extends BaseMapper<JServicesList> {

    /**
     * 分页查询服务业企业名单
     *
     * @param page 分页参数
     * @param js   请求体
     * @return 分页数据
     */
    Page<JServicesList> page(Page<JServicesList> page, @Param("req") JServicesListRequest js);

    /**
     * 分类为3的时候去企业库查找规上企业信息
     */
    Page<JServicesList> page1(Page<JServicesList> page, @Param("req")JServicesListRequest js);

    /**
     * 首页服务业数据统计
     */
    List<JServicesListCountResponse> selectAllServicesCount();

    /**
     * 获取总部企业的总数居
     */
    JServicesListCountResponse selectAllZbCount();

}
