package com.ruoyi.jjh.ent.service;

import com.ruoyi.jjh.ent.entity.JMemorandum;
import com.ruoyi.jjh.ent.entity.JProject;
import com.ruoyi.jjh.ent.entity.JProjectFund;
import com.ruoyi.jjh.ent.entity.request.JTop5FundRequest;
import com.ruoyi.jjh.ent.entity.response.JServicesDevelopResponse;
import com.ruoyi.jjh.ent.entity.response.ThreeYearsFundResponse;

import java.util.List;

/**
 * 政务端工作台表业务层
 *
 * @author du
 * @since 2024/7/31 15:16
 */
public interface JChiefWorkService {

    /**
     * 政务端-工作台 服务业发展总览
     */
    List<JServicesDevelopResponse> servicesDevelop();

    /**
     * 政务端-工作台 企业获得资金拨付排名TOP5
     */
    List<JProjectFund> getTop5Fund(JTop5FundRequest a);

    /**
     * 政务端-工作台 当年已申报完成的项目
     */
    List<JProject> currentYearFinish();

    /**
     * 政务端-工作台 项目追踪情况
     */
    List<JProject> projectTrace();

    /**
     * 政务端-工作台 备忘录更新情况
     */
    List<JMemorandum> memorandum();

    /**
     * 政务端-工作台 近三年资金拨付情况
     */
    List<ThreeYearsFundResponse> getThreeYearsFund(String years);
}
